Payslips & compensation
Get Hris Statutory Extra Salaries
Lists the statutory 13th/14th month salaries that apply to an employee's country, with the next twelve months of estimated payments.
GEThttps://api.toku.com/hris/get-hris-statutory-extra-salaries
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/hris/get-hris-statutory-extra-salaries' \
--header 'Authorization: Bearer <token>'200 response
{
"countryCode": "string",
"summary": "string",
"rules": [
{
"ordinal": 0,
"label": "string",
"payMonths": [
0
],
"payDay": 0,
"includedInAnnualSalary": true,
"monthsOfSalary": "string"
}
],
"currency": "string",
"payments": [
{
"ordinal": 0,
"name": "string",
"payDate": "string",
"share": "string",
"estimatedAmount": "string",
"prorated": true,
"scheduled": true
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
roleInOrgIDstring<uuid>Response
200Successful response
countryCodestring | nullrequiredsummarystring | nullrequiredrulesobject[]requiredShow child attributes
ordinalnumberrequiredlabelstring | nullrequiredpayMonthsnumber[]requiredpayDaynumber | nullrequiredincludedInAnnualSalarybooleanrequiredmonthsOfSalarystringrequiredcurrencystring | nullrequiredpaymentsobject[]requiredShow child attributes
ordinalnumberrequirednamestringrequiredpayDatestringrequiredsharestringrequiredestimatedAmountstring | nullrequiredproratedbooleanrequiredscheduledbooleanrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits